from fermiinstallclass import FermiInstallClass

class InstallClass(FermiInstallClass):
    name = ("GenericFarm Workgroup Install")
#    pixmap = "server.png"
    pixmap = "genericfarm.png"
    description = ("Generic Farm is a base system with "
		     "no graphics and no compilers. "
		     "It is meant to be a kerberized bare bones install.")
    sortPriority = 25
    showLoginChoice = 1

    def setGroupSelection(self, comps, intf):
	FermiInstallClass.setGroupSelection(self, comps, intf)

        comps["Generic Farm"].select()

    def setSteps(self, dispatch):
	FermiInstallClass.setSteps(self, dispatch);
	dispatch.skipStep("makebootdisk")
	dispatch.skipStep("bootdisk")
